# Uses of Class
org.apache.felix.webconsole.bundleinfo.BundleInfoType

Packages that use BundleInfoType
Package
Description
org.apache.felix.webconsole.bundleinfo

## Uses of BundleInfoType in org.apache.felix.webconsole.bundleinfo

Fields in org.apache.felix.webconsole.bundleinfo declared as BundleInfoType
Modifier and Type
Field
Description
`static final BundleInfoType`
BundleInfoType.`LINK`
Specifies that the value is `String` and is either a link to a local Servlet, or link to external HTTP server.
`static final BundleInfoType`
BundleInfoType.`RESOURCE`
This information type, specifies that the value of the information is URL object, that points to a resource.
`static final BundleInfoType`
BundleInfoType.`VALUE`
That information type is for normal information keys, that provide a normal (not link) value as information.
Methods in org.apache.felix.webconsole.bundleinfo that return BundleInfoType
Modifier and Type
Method
Description
`BundleInfoType`
BundleInfo.`getType()`
Gets the type of the information value.
Constructors in org.apache.felix.webconsole.bundleinfo with parameters of type BundleInfoType
Modifier
Constructor
Description
``
`BundleInfo(String name, Object value, BundleInfoType type, String description)`
Creates a new bundle information entry.